[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'sysutils' (#rtl)

# WideFormatBuf

Format widestring in a buffer.

## Declaration

Source position: syswideh.inc line 27

`function WideFormatBuf(`
`var Buffer;`
`BufLen: Cardinal;`
`const Fmt;`
`fmtLen: Cardinal;`
`const Args: array of Const`
`):Cardinal; function WideFormatBuf(`
`var Buffer;`
`BufLen: Cardinal;`
`const Fmt;`
`fmtLen: Cardinal;`
`const Args: array of Const;`
`const FormatSettings: TFormatSettings`
`):Cardinal;`

## Description

WideFormatBuf calls simply WideFormat with Fmt (with length FmtLen bytes) and stores maximum BufLen bytes in the buffer buf. It returns the number of copied bytes.

## See also

WideFmtStr |  | Widestring format
WideFormat |  | Format a wide string.
Format |  | Format a string with given arguments.
FormatBuf |  | Format a string with given arguments and store the result in a buffer.